#!/usr/bin/perl

use strict;
use Curses;
use Curses::Widgets qw( :all );

my $curs = new Curses;
noecho();
halfdelay(5);
$curs->keypad(1);

my $maxx = $curs->getmaxx();
my $sub = $curs->subwin(8,$maxx,0,0);

# draw text box
my $text = "here's some test stuff
just putting whatever in here";
my @lines = split(/\n/,$text);
my $line;
for (my $i = 1; $i < 7; $i++) {
	if (defined ($lines[$i -1])) {
		$line = $lines[$i -1]."\n";
	} else {
		$line = "\n";
	}
	$sub->addstr($i,1,$line);
}
#$sub->box(ACS_VLINE,ACS_HLINE);
$sub->attrset(0);
touchwin($curs);
$curs->refresh();
# end text box

my @but = qw(test blah sethj joshm makahna);
my ($key,$button) = buttons(
	'window'	=> $curs,
	'buttons'	=> \@but,
	'ypos'	=> 8,
	'xpos'	=> 10,
	'vertical'	=> 1
	);

my $b = subwin(20,80,0,0);
addstr($b,3,9,"1234567890123456789012345678901234567890");
refresh($b);
sleep 2;
endwin();
